Module java.desktop
Package javax.imageio.plugins.tiff

# Class BaselineTIFFTagSet

java.lang.Object
javax.imageio.plugins.tiff.TIFFTagSet
javax.imageio.plugins.tiff.BaselineTIFFTagSet

public final class BaselineTIFFTagSet extends TIFFTagSet
A class representing the set of tags found in the baseline TIFF specification as well as some common additional tags.

The non-baseline tags included in this class are:

- `JPEGTables`
- `ICC Profile`

The non-baseline values of baseline tags included in this class are

- `Compression` tag values:
  - `JPEG-in-TIFF compression`
  - `Zlib-in-TIFF compression`
  - `Deflate compression`
- `PhotometricInterpretation` tag values:
  - `ICCLAB photometric interpretation`

Since:
  9
See Also:
  - TIFF 6.0 Specification

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPRESSION_CCITT_RLE`
A value to be used with the "Compression" tag.
`static final int`
`COMPRESSION_CCITT_T_4`
A value to be used with the "Compression" tag.
`static final int`
`COMPRESSION_CCITT_T_6`
A value to be used with the "Compression" tag.
`static final int`
`COMPRESSION_DEFLATE`
A value to be used with the "Compression" tag.
`static final int`
`COMPRESSION_JPEG`
A value to be used with the "Compression" tag.
`static final int`
`COMPRESSION_LZW`
A value to be used with the "Compression" tag.
`static final int`
`COMPRESSION_NONE`
A value to be used with the "Compression" tag.
`static final int`
`COMPRESSION_OLD_JPEG`
A value to be used with the "Compression" tag.
`static final int`
`COMPRESSION_PACKBITS`
A value to be used with the "Compression" tag.
`static final int`
`COMPRESSION_ZLIB`
A value to be used with the "Compression" tag.
`static final int`
`EXTRA_SAMPLES_ASSOCIATED_ALPHA`
A value to be used with the "ExtraSamples" tag.
`static final int`
`EXTRA_SAMPLES_UNASSOCIATED_ALPHA`
A value to be used with the "ExtraSamples" tag.
`static final int`
`EXTRA_SAMPLES_UNSPECIFIED`
A value to be used with the "ExtraSamples" tag.
`static final int`
`FILL_ORDER_LEFT_TO_RIGHT`
A value to be used with the "FillOrder" tag.
`static final int`
`FILL_ORDER_RIGHT_TO_LEFT`
A value to be used with the "FillOrder" tag.
`static final int`
`GRAY_RESPONSE_UNIT_HUNDRED_THOUSANDTHS`
A value to be used with the "GrayResponseUnit" tag.
`static final int`
`GRAY_RESPONSE_UNIT_HUNDREDTHS`
A value to be used with the "GrayResponseUnit" tag.
`static final int`
`GRAY_RESPONSE_UNIT_TEN_THOUSANDTHS`
A value to be used with the "GrayResponseUnit" tag.
`static final int`
`GRAY_RESPONSE_UNIT_TENTHS`
A value to be used with the "GrayResponseUnit" tag.
`static final int`
`GRAY_RESPONSE_UNIT_THOUSANDTHS`
A value to be used with the "GrayResponseUnit" tag.
`static final int`
`INK_SET_CMYK`
A value to be used with the "InkSet" tag.
`static final int`
`INK_SET_NOT_CMYK`
A value to be used with the "InkSet" tag.
`static final int`
`JPEG_PROC_BASELINE`
A value to be used with the "JPEGProc" tag.
`static final int`
`JPEG_PROC_LOSSLESS`
A value to be used with the "JPEGProc" tag.
`static final int`
`NEW_SUBFILE_TYPE_REDUCED_RESOLUTION`
A mask to be used with the "NewSubfileType" tag.
`static final int`
`NEW_SUBFILE_TYPE_SINGLE_PAGE`
A mask to be used with the "NewSubfileType" tag.
`static final int`
`NEW_SUBFILE_TYPE_TRANSPARENCY`
A mask to be used with the "NewSubfileType" tag.
`static final int`
`ORIENTATION_ROW_0_BOTTOM_COLUMN_0_LEFT`
A value to be used with the "Orientation" tag.
`static final int`
`ORIENTATION_ROW_0_BOTTOM_COLUMN_0_RIGHT`
A value to be used with the "Orientation" tag.
`static final int`
`ORIENTATION_ROW_0_LEFT_COLUMN_0_BOTTOM`
A value to be used with the "Orientation" tag.
`static final int`
`ORIENTATION_ROW_0_LEFT_COLUMN_0_TOP`
A value to be used with the "Orientation" tag.
`static final int`
`ORIENTATION_ROW_0_RIGHT_COLUMN_0_BOTTOM`
A value to be used with the "Orientation" tag.
`static final int`
`ORIENTATION_ROW_0_RIGHT_COLUMN_0_TOP`
A value to be used with the "Orientation" tag.
`static final int`
`ORIENTATION_ROW_0_TOP_COLUMN_0_LEFT`
A value to be used with the "Orientation" tag.
`static final int`
`ORIENTATION_ROW_0_TOP_COLUMN_0_RIGHT`
A value to be used with the "Orientation" tag.
`static final int`
`PHOTOMETRIC_INTERPRETATION_BLACK_IS_ZERO`
A value to be used with the "PhotometricInterpretation" tag.
`static final int`
`PHOTOMETRIC_INTERPRETATION_CIELAB`
A value to be used with the "PhotometricInterpretation" tag.
`static final int`
`PHOTOMETRIC_INTERPRETATION_CMYK`
A value to be used with the "PhotometricInterpretation" tag.
`static final int`
`PHOTOMETRIC_INTERPRETATION_ICCLAB`
A value to be used with the "PhotometricInterpretation" tag.
`static final int`
`PHOTOMETRIC_INTERPRETATION_PALETTE_COLOR`
A value to be used with the "PhotometricInterpretation" tag.
`static final int`
`PHOTOMETRIC_INTERPRETATION_RGB`
A value to be used with the "PhotometricInterpretation" tag.
`static final int`
`PHOTOMETRIC_INTERPRETATION_TRANSPARENCY_MASK`
A value to be used with the "PhotometricInterpretation" tag.
`static final int`
`PHOTOMETRIC_INTERPRETATION_WHITE_IS_ZERO`
A value to be used with the "PhotometricInterpretation" tag.
`static final int`
`PHOTOMETRIC_INTERPRETATION_Y_CB_CR`
A value to be used with the "PhotometricInterpretation" tag.
`static final int`
`PLANAR_CONFIGURATION_CHUNKY`
A value to be used with the "PlanarConfiguration" tag.
`static final int`
`PLANAR_CONFIGURATION_PLANAR`
A value to be used with the "PlanarConfiguration" tag.
`static final int`
`PREDICTOR_HORIZONTAL_DIFFERENCING`
A value to be used with the "Predictor" tag.
`static final int`
`PREDICTOR_NONE`
A value to be used with the "Predictor" tag.
`static final int`
`RESOLUTION_UNIT_CENTIMETER`
A value to be used with the "ResolutionUnit" tag.
`static final int`
`RESOLUTION_UNIT_INCH`
A value to be used with the "ResolutionUnit" tag.
`static final int`
`RESOLUTION_UNIT_NONE`
A value to be used with the "ResolutionUnit" tag.
`static final int`
`SAMPLE_FORMAT_FLOATING_POINT`
A value to be used with the "SampleFormat" tag.
`static final int`
`SAMPLE_FORMAT_SIGNED_INTEGER`
A value to be used with the "SampleFormat" tag.
`static final int`
`SAMPLE_FORMAT_UNDEFINED`
A value to be used with the "SampleFormat" tag.
`static final int`
`SAMPLE_FORMAT_UNSIGNED_INTEGER`
A value to be used with the "SampleFormat" tag.
`static final int`
`SUBFILE_TYPE_FULL_RESOLUTION`
A value to be used with the "SubfileType" tag.
`static final int`
`SUBFILE_TYPE_REDUCED_RESOLUTION`
A value to be used with the "SubfileType" tag.
`static final int`
`SUBFILE_TYPE_SINGLE_PAGE`
A value to be used with the "SubfileType" tag.
`static final int`
`T4_OPTIONS_2D_CODING`
A mask to be used with the "T4Options" tag.
`static final int`
`T4_OPTIONS_EOL_BYTE_ALIGNED`
A mask to be used with the "T4Options" tag.
`static final int`
`T4_OPTIONS_UNCOMPRESSED`
A mask to be used with the "T4Options" tag.
`static final int`
`T6_OPTIONS_UNCOMPRESSED`
A mask to be used with the "T6Options" tag.
`static final int`
`TAG_ARTIST`
Constant specifying the "Artist" tag.
`static final int`
`TAG_BITS_PER_SAMPLE`
Constant specifying the "BitsPerSample" tag.
`static final int`
`TAG_CELL_LENGTH`
Constant specifying the "cell_length" tag.
`static final int`
`TAG_CELL_WIDTH`
Constant specifying the "Cell_Width" tag.
`static final int`
`TAG_COLOR_MAP`
Constant specifying the "ColorMap" tag.
`static final int`
`TAG_COMPRESSION`
Constant specifying the "Compression" tag.
`static final int`
`TAG_COPYRIGHT`
Constant specifying the "Copyright" tag.
`static final int`
`TAG_DATE_TIME`
Constant specifying the "DateTime" tag.
`static final int`
`TAG_DOCUMENT_NAME`
Constant specifying the "document_name" tag.
`static final int`
`TAG_DOT_RANGE`
Constant specifying the "DotRange" tag.
`static final int`
`TAG_EXTRA_SAMPLES`
Constant specifying the "ExtraSamples" tag.
`static final int`
`TAG_FILL_ORDER`
Constant specifying the "fill_order" tag.
`static final int`
`TAG_FREE_BYTE_COUNTS`
Constant specifying the "FreeByteCounts" tag.
`static final int`
`TAG_FREE_OFFSETS`
Constant specifying the "FreeOffsets" tag.
`static final int`
`TAG_GRAY_RESPONSE_CURVE`
Constant specifying the "GrayResponseCurve" tag.
`static final int`
`TAG_GRAY_RESPONSE_UNIT`
Constant specifying the "GrayResponseUnit" tag.
`static final int`
`TAG_HALFTONE_HINTS`
Constant specifying the "HalftoneHints" tag.
`static final int`
`TAG_HOST_COMPUTER`
Constant specifying the "HostComputer" tag.
`static final int`
`TAG_ICC_PROFILE`
Constant specifying the "ICC Profile" tag.
`static final int`
`TAG_IMAGE_DESCRIPTION`
Constant specifying the "Image_description" tag.
`static final int`
`TAG_IMAGE_LENGTH`
Constant specifying the "ImageLength" tag.
`static final int`
`TAG_IMAGE_WIDTH`
Constant specifying the "ImageWidth" tag.
`static final int`
`TAG_INK_NAMES`
Constant specifying the "InkNames" tag.
`static final int`
`TAG_INK_SET`
Constant specifying the "InkSet" tag.
`static final int`
`TAG_JPEG_AC_TABLES`
Constant specifying the "JPEGACTables" tag.
`static final int`
`TAG_JPEG_DC_TABLES`
Constant specifying the "JPEGDCTables" tag.
`static final int`
`TAG_JPEG_INTERCHANGE_FORMAT`
Constant specifying the "JPEGInterchangeFormat" tag.
`static final int`
`TAG_JPEG_INTERCHANGE_FORMAT_LENGTH`
Constant specifying the "JPEGInterchangeFormatLength" tag.
`static final int`
`TAG_JPEG_LOSSLESS_PREDICTORS`
Constant specifying the "JPEGLosslessPredictors" tag.
`static final int`
`TAG_JPEG_POINT_TRANSFORMS`
Constant specifying the "JPEGPointTransforms" tag.
`static final int`
`TAG_JPEG_PROC`
Constant specifying the "JPEGProc" tag.
`static final int`
`TAG_JPEG_Q_TABLES`
Constant specifying the "JPEGQTables" tag.
`static final int`
`TAG_JPEG_RESTART_INTERVAL`
Constant specifying the "JPEGRestartInterval" tag.
`static final int`
`TAG_JPEG_TABLES`
Constant specifying the "JPEGTables" tag for "New style" JPEG-in-TIFF compression.
`static final int`
`TAG_MAKE`
Constant specifying the "Make" tag.
`static final int`
`TAG_MAX_SAMPLE_VALUE`
Constant specifying the "Max_sample_value" tag.
`static final int`
`TAG_MIN_SAMPLE_VALUE`
Constant specifying the "Min_sample_value" tag.
`static final int`
`TAG_MODEL`
Constant specifying the "Model" tag.
`static final int`
`TAG_NEW_SUBFILE_TYPE`
Constant specifying the "NewSubfileType" tag.
`static final int`
`TAG_NUMBER_OF_INKS`
Constant specifying the "NumberOfInks" tag.
`static final int`
`TAG_ORIENTATION`
Constant specifying the "Orientation" tag.
`static final int`
`TAG_PAGE_NAME`
Constant specifying the "PageName" tag.
`static final int`
`TAG_PAGE_NUMBER`
Constant specifying the "PageNumber" tag.
`static final int`
`TAG_PHOTOMETRIC_INTERPRETATION`
Constant specifying the "PhotometricInterpretation" tag.
`static final int`
`TAG_PLANAR_CONFIGURATION`
Constant specifying the "PlanarConfiguration" tag.
`static final int`
`TAG_PREDICTOR`
Constant specifying the "Predictor" tag.
`static final int`
`TAG_PRIMARY_CHROMATICITES`
Constant specifying the "PrimaryChromaticites" tag.
`static final int`
`TAG_REFERENCE_BLACK_WHITE`
Constant specifying the "ReferenceBlackWhite" tag.
`static final int`
`TAG_RESOLUTION_UNIT`
Constant specifying the "ResolutionUnit" tag.
`static final int`
`TAG_ROWS_PER_STRIP`
Constant specifying the "Rows_per_strip" tag.
`static final int`
`TAG_S_MAX_SAMPLE_VALUE`
Constant specifying the "SMaxSampleValue" tag.
`static final int`
`TAG_S_MIN_SAMPLE_VALUE`
Constant specifying the "SMinSampleValue" tag.
`static final int`
`TAG_SAMPLE_FORMAT`
Constant specifying the "SampleFormat" tag.
`static final int`
`TAG_SAMPLES_PER_PIXEL`
Constant specifying the "Samples_per_pixel" tag.
`static final int`
`TAG_SOFTWARE`
Constant specifying the "Software" tag.
`static final int`
`TAG_STRIP_BYTE_COUNTS`
Constant specifying the "Strip_byte_counts" tag.
`static final int`
`TAG_STRIP_OFFSETS`
Constant specifying the "Strip_offsets" tag.
`static final int`
`TAG_SUBFILE_TYPE`
Constant specifying the "SubfileType" tag.
`static final int`
`TAG_T4_OPTIONS`
Constant specifying the "T4Options" tag.
`static final int`
`TAG_T6_OPTIONS`
Constant specifying the "T6Options" tag.
`static final int`
`TAG_TARGET_PRINTER`
Constant specifying the "TargetPrinter" tag.
`static final int`
`TAG_THRESHHOLDING`
Constant specifying the "Threshholding" tag.
`static final int`
`TAG_TILE_BYTE_COUNTS`
Constant specifying the "TileByteCounts" tag.
`static final int`
`TAG_TILE_LENGTH`
Constant specifying the "TileLength" tag.
`static final int`
`TAG_TILE_OFFSETS`
Constant specifying the "TileOffsets" tag.
`static final int`
`TAG_TILE_WIDTH`
Constant specifying the "TileWidth" tag.
`static final int`
`TAG_TRANSFER_FUNCTION`
Constant specifying the "TransferFunction" tag.
`static final int`
`TAG_TRANSFER_RANGE`
Constant specifying the "TransferRange" tag.
`static final int`
`TAG_WHITE_POINT`
Constant specifying the "WhitePoint" tag.
`static final int`
`TAG_X_POSITION`
Constant specifying the "XPosition" tag.
`static final int`
`TAG_X_RESOLUTION`
Constant specifying the "XResolution" tag.
`static final int`
`TAG_Y_CB_CR_COEFFICIENTS`
Constant specifying the "YCbCrCoefficients" tag.
`static final int`
`TAG_Y_CB_CR_POSITIONING`
Constant specifying the "YCbCrPositioning" tag.
`static final int`
`TAG_Y_CB_CR_SUBSAMPLING`
Constant specifying the "YCbCrSubsampling" tag.
`static final int`
`TAG_Y_POSITION`
Constant specifying the "YPosition" tag.
`static final int`
`TAG_Y_RESOLUTION`
Constant specifying the "YResolution" tag.
`static final int`
`THRESHHOLDING_NONE`
A value to be used with the "Thresholding" tag.
`static final int`
`THRESHHOLDING_ORDERED_DITHER`
A value to be used with the "Thresholding" tag.
`static final int`
`THRESHHOLDING_RANDOMIZED_DITHER`
A value to be used with the "Thresholding" tag.
`static final int`
`Y_CB_CR_POSITIONING_CENTERED`
A value to be used with the "YCbCrPositioning" tag.
`static final int`
`Y_CB_CR_POSITIONING_COSITED`
A value to be used with the "YCbCrPositioning" tag.

## Method Summary

Modifier and Type
Method
Description
`static BaselineTIFFTagSet`
`getInstance()`
Returns a shared instance of a `BaselineTIFFTagSet`.

### Methods declared in class javax.imageio.plugins.tiff.TIFFTagSet

`getTag, getTag, getTagNames, getTagNumbers`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TAG_NEW_SUBFILE_TYPE

public static final int TAG_NEW_SUBFILE_TYPE
Constant specifying the "NewSubfileType" tag.

See Also:
  - `NEW_SUBFILE_TYPE_REDUCED_RESOLUTION`
  - `NEW_SUBFILE_TYPE_SINGLE_PAGE`
  - `NEW_SUBFILE_TYPE_TRANSPARENCY`
  - Constant Field Values

### NEW_SUBFILE_TYPE_REDUCED_RESOLUTION

public static final int NEW_SUBFILE_TYPE_REDUCED_RESOLUTION
A mask to be used with the "NewSubfileType" tag.

See Also:
  - `TAG_NEW_SUBFILE_TYPE`
  - Constant Field Values

### NEW_SUBFILE_TYPE_SINGLE_PAGE

public static final int NEW_SUBFILE_TYPE_SINGLE_PAGE
A mask to be used with the "NewSubfileType" tag.

See Also:
  - `TAG_NEW_SUBFILE_TYPE`
  - Constant Field Values

### NEW_SUBFILE_TYPE_TRANSPARENCY

public static final int NEW_SUBFILE_TYPE_TRANSPARENCY
A mask to be used with the "NewSubfileType" tag.

See Also:
  - `TAG_NEW_SUBFILE_TYPE`
  - Constant Field Values

### TAG_SUBFILE_TYPE

public static final int TAG_SUBFILE_TYPE
Constant specifying the "SubfileType" tag.

See Also:
  - `SUBFILE_TYPE_FULL_RESOLUTION`
  - `SUBFILE_TYPE_REDUCED_RESOLUTION`
  - `SUBFILE_TYPE_SINGLE_PAGE`
  - Constant Field Values

### SUBFILE_TYPE_FULL_RESOLUTION

public static final int SUBFILE_TYPE_FULL_RESOLUTION
A value to be used with the "SubfileType" tag.

See Also:
  - `TAG_SUBFILE_TYPE`
  - Constant Field Values

### SUBFILE_TYPE_REDUCED_RESOLUTION

public static final int SUBFILE_TYPE_REDUCED_RESOLUTION
A value to be used with the "SubfileType" tag.

See Also:
  - `TAG_SUBFILE_TYPE`
  - Constant Field Values

### SUBFILE_TYPE_SINGLE_PAGE

public static final int SUBFILE_TYPE_SINGLE_PAGE
A value to be used with the "SubfileType" tag.

See Also:
  - `TAG_SUBFILE_TYPE`
  - Constant Field Values

### TAG_IMAGE_WIDTH

public static final int TAG_IMAGE_WIDTH
Constant specifying the "ImageWidth" tag.

See Also:
  - Constant Field Values

### TAG_IMAGE_LENGTH

public static final int TAG_IMAGE_LENGTH
Constant specifying the "ImageLength" tag.

See Also:
  - Constant Field Values

### TAG_BITS_PER_SAMPLE

public static final int TAG_BITS_PER_SAMPLE
Constant specifying the "BitsPerSample" tag.

See Also:
  - Constant Field Values

### TAG_COMPRESSION

public static final int TAG_COMPRESSION
Constant specifying the "Compression" tag.

See Also:
  - `COMPRESSION_NONE`
  - `COMPRESSION_CCITT_RLE`
  - `COMPRESSION_CCITT_T_4`
  - `COMPRESSION_CCITT_T_6`
  - `COMPRESSION_LZW`
  - `COMPRESSION_OLD_JPEG`
  - `COMPRESSION_JPEG`
  - `COMPRESSION_ZLIB`
  - `COMPRESSION_PACKBITS`
  - `COMPRESSION_DEFLATE`
  - Constant Field Values

### COMPRESSION_NONE

public static final int COMPRESSION_NONE
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - Constant Field Values

### COMPRESSION_CCITT_RLE

public static final int COMPRESSION_CCITT_RLE
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - Constant Field Values

### COMPRESSION_CCITT_T_4

public static final int COMPRESSION_CCITT_T_4
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - Constant Field Values

### COMPRESSION_CCITT_T_6

public static final int COMPRESSION_CCITT_T_6
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - Constant Field Values

### COMPRESSION_LZW

public static final int COMPRESSION_LZW
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - Constant Field Values

### COMPRESSION_OLD_JPEG

public static final int COMPRESSION_OLD_JPEG
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - Constant Field Values

### COMPRESSION_JPEG

public static final int COMPRESSION_JPEG
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - Constant Field Values

### COMPRESSION_ZLIB

public static final int COMPRESSION_ZLIB
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - Constant Field Values

### COMPRESSION_PACKBITS

public static final int COMPRESSION_PACKBITS
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - Constant Field Values

### COMPRESSION_DEFLATE

public static final int COMPRESSION_DEFLATE
A value to be used with the "Compression" tag.

See Also:
  - `TAG_COMPRESSION`
  - DEFLATE specification
  - Constant Field Values

### TAG_PHOTOMETRIC_INTERPRETATION

public static final int TAG_PHOTOMETRIC_INTERPRETATION
Constant specifying the "PhotometricInterpretation" tag.

See Also:
  - `PHOTOMETRIC_INTERPRETATION_WHITE_IS_ZERO`
  - `PHOTOMETRIC_INTERPRETATION_BLACK_IS_ZERO`
  - `PHOTOMETRIC_INTERPRETATION_RGB`
  - `PHOTOMETRIC_INTERPRETATION_PALETTE_COLOR`
  - `PHOTOMETRIC_INTERPRETATION_TRANSPARENCY_MASK`
  - `PHOTOMETRIC_INTERPRETATION_Y_CB_CR`
  - `PHOTOMETRIC_INTERPRETATION_CIELAB`
  - `PHOTOMETRIC_INTERPRETATION_ICCLAB`
  - Constant Field Values

### PHOTOMETRIC_INTERPRETATION_WHITE_IS_ZERO

public static final int PHOTOMETRIC_INTERPRETATION_WHITE_IS_ZERO
A value to be used with the "PhotometricInterpretation" tag.

See Also:
  - `TAG_PHOTOMETRIC_INTERPRETATION`
  - Constant Field Values

### PHOTOMETRIC_INTERPRETATION_BLACK_IS_ZERO

public static final int PHOTOMETRIC_INTERPRETATION_BLACK_IS_ZERO
A value to be used with the "PhotometricInterpretation" tag.

See Also:
  - `TAG_PHOTOMETRIC_INTERPRETATION`
  - Constant Field Values

### PHOTOMETRIC_INTERPRETATION_RGB

public static final int PHOTOMETRIC_INTERPRETATION_RGB
A value to be used with the "PhotometricInterpretation" tag.

See Also:
  - `TAG_PHOTOMETRIC_INTERPRETATION`
  - Constant Field Values

### PHOTOMETRIC_INTERPRETATION_PALETTE_COLOR

public static final int PHOTOMETRIC_INTERPRETATION_PALETTE_COLOR
A value to be used with the "PhotometricInterpretation" tag.

See Also:
  - `TAG_PHOTOMETRIC_INTERPRETATION`
  - Constant Field Values

### PHOTOMETRIC_INTERPRETATION_TRANSPARENCY_MASK

public static final int PHOTOMETRIC_INTERPRETATION_TRANSPARENCY_MASK
A value to be used with the "PhotometricInterpretation" tag.

See Also:
  - `TAG_PHOTOMETRIC_INTERPRETATION`
  - Constant Field Values

### PHOTOMETRIC_INTERPRETATION_CMYK

public static final int PHOTOMETRIC_INTERPRETATION_CMYK
A value to be used with the "PhotometricInterpretation" tag.

See Also:
  - `TAG_PHOTOMETRIC_INTERPRETATION`
  - Constant Field Values

### PHOTOMETRIC_INTERPRETATION_Y_CB_CR

public static final int PHOTOMETRIC_INTERPRETATION_Y_CB_CR
A value to be used with the "PhotometricInterpretation" tag.

See Also:
  - `TAG_PHOTOMETRIC_INTERPRETATION`
  - Constant Field Values

### PHOTOMETRIC_INTERPRETATION_CIELAB

public static final int PHOTOMETRIC_INTERPRETATION_CIELAB
A value to be used with the "PhotometricInterpretation" tag.

See Also:
  - `TAG_PHOTOMETRIC_INTERPRETATION`
  - Constant Field Values

### PHOTOMETRIC_INTERPRETATION_ICCLAB

public static final int PHOTOMETRIC_INTERPRETATION_ICCLAB
A value to be used with the "PhotometricInterpretation" tag.

See Also:
  - `TAG_PHOTOMETRIC_INTERPRETATION`
  - Constant Field Values

### TAG_THRESHHOLDING

public static final int TAG_THRESHHOLDING
Constant specifying the "Threshholding" tag.

See Also:
  - `THRESHHOLDING_NONE`
  - `THRESHHOLDING_ORDERED_DITHER`
  - `THRESHHOLDING_RANDOMIZED_DITHER`
  - Constant Field Values

### THRESHHOLDING_NONE

public static final int THRESHHOLDING_NONE
A value to be used with the "Thresholding" tag.

See Also:
  - `TAG_THRESHHOLDING`
  - Constant Field Values

### THRESHHOLDING_ORDERED_DITHER

public static final int THRESHHOLDING_ORDERED_DITHER
A value to be used with the "Thresholding" tag.

See Also:
  - `TAG_THRESHHOLDING`
  - Constant Field Values

### THRESHHOLDING_RANDOMIZED_DITHER

public static final int THRESHHOLDING_RANDOMIZED_DITHER
A value to be used with the "Thresholding" tag.

See Also:
  - `TAG_THRESHHOLDING`
  - Constant Field Values

### TAG_CELL_WIDTH

public static final int TAG_CELL_WIDTH
Constant specifying the "Cell_Width" tag.

See Also:
  - Constant Field Values

### TAG_CELL_LENGTH

public static final int TAG_CELL_LENGTH
Constant specifying the "cell_length" tag.

See Also:
  - Constant Field Values

### TAG_FILL_ORDER

public static final int TAG_FILL_ORDER
Constant specifying the "fill_order" tag.

See Also:
  - `FILL_ORDER_LEFT_TO_RIGHT`
  - `FILL_ORDER_RIGHT_TO_LEFT`
  - Constant Field Values

### FILL_ORDER_LEFT_TO_RIGHT

public static final int FILL_ORDER_LEFT_TO_RIGHT
A value to be used with the "FillOrder" tag.

See Also:
  - `TAG_FILL_ORDER`
  - Constant Field Values

### FILL_ORDER_RIGHT_TO_LEFT

public static final int FILL_ORDER_RIGHT_TO_LEFT
A value to be used with the "FillOrder" tag.

See Also:
  - `TAG_FILL_ORDER`
  - Constant Field Values

### TAG_DOCUMENT_NAME

public static final int TAG_DOCUMENT_NAME
Constant specifying the "document_name" tag.

See Also:
  - Constant Field Values

### TAG_IMAGE_DESCRIPTION

public static final int TAG_IMAGE_DESCRIPTION
Constant specifying the "Image_description" tag.

See Also:
  - Constant Field Values

### TAG_MAKE

public static final int TAG_MAKE
Constant specifying the "Make" tag.

See Also:
  - Constant Field Values

### TAG_MODEL

public static final int TAG_MODEL
Constant specifying the "Model" tag.

See Also:
  - Constant Field Values

### TAG_STRIP_OFFSETS

public static final int TAG_STRIP_OFFSETS
Constant specifying the "Strip_offsets" tag.

See Also:
  - Constant Field Values

### TAG_ORIENTATION

public static final int TAG_ORIENTATION
Constant specifying the "Orientation" tag.

See Also:
  - `ORIENTATION_ROW_0_TOP_COLUMN_0_LEFT`
  - `ORIENTATION_ROW_0_TOP_COLUMN_0_RIGHT`
  - `ORIENTATION_ROW_0_BOTTOM_COLUMN_0_RIGHT`
  - `ORIENTATION_ROW_0_BOTTOM_COLUMN_0_LEFT`
  - `ORIENTATION_ROW_0_LEFT_COLUMN_0_TOP`
  - `ORIENTATION_ROW_0_RIGHT_COLUMN_0_TOP`
  - `ORIENTATION_ROW_0_RIGHT_COLUMN_0_BOTTOM`
  - `ORIENTATION_ROW_0_LEFT_COLUMN_0_BOTTOM`
  - Constant Field Values

### ORIENTATION_ROW_0_TOP_COLUMN_0_LEFT

public static final int ORIENTATION_ROW_0_TOP_COLUMN_0_LEFT
A value to be used with the "Orientation" tag.

See Also:
  - `TAG_ORIENTATION`
  - Constant Field Values

### ORIENTATION_ROW_0_TOP_COLUMN_0_RIGHT

public static final int ORIENTATION_ROW_0_TOP_COLUMN_0_RIGHT
A value to be used with the "Orientation" tag.

See Also:
  - `TAG_ORIENTATION`
  - Constant Field Values

### ORIENTATION_ROW_0_BOTTOM_COLUMN_0_RIGHT

public static final int ORIENTATION_ROW_0_BOTTOM_COLUMN_0_RIGHT
A value to be used with the "Orientation" tag.

See Also:
  - `TAG_ORIENTATION`
  - Constant Field Values

### ORIENTATION_ROW_0_BOTTOM_COLUMN_0_LEFT

public static final int ORIENTATION_ROW_0_BOTTOM_COLUMN_0_LEFT
A value to be used with the "Orientation" tag.

See Also:
  - `TAG_ORIENTATION`
  - Constant Field Values

### ORIENTATION_ROW_0_LEFT_COLUMN_0_TOP

public static final int ORIENTATION_ROW_0_LEFT_COLUMN_0_TOP
A value to be used with the "Orientation" tag.

See Also:
  - `TAG_ORIENTATION`
  - Constant Field Values

### ORIENTATION_ROW_0_RIGHT_COLUMN_0_TOP

public static final int ORIENTATION_ROW_0_RIGHT_COLUMN_0_TOP
A value to be used with the "Orientation" tag.

See Also:
  - `TAG_ORIENTATION`
  - Constant Field Values

### ORIENTATION_ROW_0_RIGHT_COLUMN_0_BOTTOM

public static final int ORIENTATION_ROW_0_RIGHT_COLUMN_0_BOTTOM
A value to be used with the "Orientation" tag.

See Also:
  - `TAG_ORIENTATION`
  - Constant Field Values

### ORIENTATION_ROW_0_LEFT_COLUMN_0_BOTTOM

public static final int ORIENTATION_ROW_0_LEFT_COLUMN_0_BOTTOM
A value to be used with the "Orientation" tag.

See Also:
  - `TAG_ORIENTATION`
  - Constant Field Values

### TAG_SAMPLES_PER_PIXEL

public static final int TAG_SAMPLES_PER_PIXEL
Constant specifying the "Samples_per_pixel" tag.

See Also:
  - Constant Field Values

### TAG_ROWS_PER_STRIP

public static final int TAG_ROWS_PER_STRIP
Constant specifying the "Rows_per_strip" tag.

See Also:
  - Constant Field Values

### TAG_STRIP_BYTE_COUNTS

public static final int TAG_STRIP_BYTE_COUNTS
Constant specifying the "Strip_byte_counts" tag.

See Also:
  - Constant Field Values

### TAG_MIN_SAMPLE_VALUE

public static final int TAG_MIN_SAMPLE_VALUE
Constant specifying the "Min_sample_value" tag.

See Also:
  - Constant Field Values

### TAG_MAX_SAMPLE_VALUE

public static final int TAG_MAX_SAMPLE_VALUE
Constant specifying the "Max_sample_value" tag.

See Also:
  - Constant Field Values

### TAG_X_RESOLUTION

public static final int TAG_X_RESOLUTION
Constant specifying the "XResolution" tag.

See Also:
  - Constant Field Values

### TAG_Y_RESOLUTION

public static final int TAG_Y_RESOLUTION
Constant specifying the "YResolution" tag.

See Also:
  - Constant Field Values

### TAG_PLANAR_CONFIGURATION

public static final int TAG_PLANAR_CONFIGURATION
Constant specifying the "PlanarConfiguration" tag.

See Also:
  - `PLANAR_CONFIGURATION_CHUNKY`
  - `PLANAR_CONFIGURATION_PLANAR`
  - Constant Field Values

### PLANAR_CONFIGURATION_CHUNKY

public static final int PLANAR_CONFIGURATION_CHUNKY
A value to be used with the "PlanarConfiguration" tag.

See Also:
  - `TAG_PLANAR_CONFIGURATION`
  - Constant Field Values

### PLANAR_CONFIGURATION_PLANAR

public static final int PLANAR_CONFIGURATION_PLANAR
A value to be used with the "PlanarConfiguration" tag.

See Also:
  - `TAG_PLANAR_CONFIGURATION`
  - Constant Field Values

### TAG_PAGE_NAME

public static final int TAG_PAGE_NAME
Constant specifying the "PageName" tag.

See Also:
  - Constant Field Values

### TAG_X_POSITION

public static final int TAG_X_POSITION
Constant specifying the "XPosition" tag.

See Also:
  - Constant Field Values

### TAG_Y_POSITION

public static final int TAG_Y_POSITION
Constant specifying the "YPosition" tag.

See Also:
  - Constant Field Values

### TAG_FREE_OFFSETS

public static final int TAG_FREE_OFFSETS
Constant specifying the "FreeOffsets" tag.

See Also:
  - Constant Field Values

### TAG_FREE_BYTE_COUNTS

public static final int TAG_FREE_BYTE_COUNTS
Constant specifying the "FreeByteCounts" tag.

See Also:
  - Constant Field Values

### TAG_GRAY_RESPONSE_UNIT

public static final int TAG_GRAY_RESPONSE_UNIT
Constant specifying the "GrayResponseUnit" tag.

See Also:
  - `GRAY_RESPONSE_UNIT_TENTHS`
  - `GRAY_RESPONSE_UNIT_HUNDREDTHS`
  - `GRAY_RESPONSE_UNIT_THOUSANDTHS`
  - `GRAY_RESPONSE_UNIT_TEN_THOUSANDTHS`
  - `GRAY_RESPONSE_UNIT_HUNDRED_THOUSANDTHS`
  - Constant Field Values

### GRAY_RESPONSE_UNIT_TENTHS

public static final int GRAY_RESPONSE_UNIT_TENTHS
A value to be used with the "GrayResponseUnit" tag.

See Also:
  - `TAG_GRAY_RESPONSE_UNIT`
  - Constant Field Values

### GRAY_RESPONSE_UNIT_HUNDREDTHS

public static final int GRAY_RESPONSE_UNIT_HUNDREDTHS
A value to be used with the "GrayResponseUnit" tag.

See Also:
  - `TAG_GRAY_RESPONSE_UNIT`
  - Constant Field Values

### GRAY_RESPONSE_UNIT_THOUSANDTHS

public static final int GRAY_RESPONSE_UNIT_THOUSANDTHS
A value to be used with the "GrayResponseUnit" tag.

See Also:
  - `TAG_GRAY_RESPONSE_UNIT`
  - Constant Field Values

### GRAY_RESPONSE_UNIT_TEN_THOUSANDTHS

public static final int GRAY_RESPONSE_UNIT_TEN_THOUSANDTHS
A value to be used with the "GrayResponseUnit" tag.

See Also:
  - `TAG_GRAY_RESPONSE_UNIT`
  - Constant Field Values

### GRAY_RESPONSE_UNIT_HUNDRED_THOUSANDTHS

public static final int GRAY_RESPONSE_UNIT_HUNDRED_THOUSANDTHS
A value to be used with the "GrayResponseUnit" tag.

See Also:
  - `TAG_GRAY_RESPONSE_UNIT`
  - Constant Field Values

### TAG_GRAY_RESPONSE_CURVE

public static final int TAG_GRAY_RESPONSE_CURVE
Constant specifying the "GrayResponseCurve" tag.

See Also:
  - Constant Field Values

### TAG_T4_OPTIONS

public static final int TAG_T4_OPTIONS
Constant specifying the "T4Options" tag.

See Also:
  - `T4_OPTIONS_2D_CODING`
  - `T4_OPTIONS_UNCOMPRESSED`
  - `T4_OPTIONS_EOL_BYTE_ALIGNED`
  - Constant Field Values

### T4_OPTIONS_2D_CODING

public static final int T4_OPTIONS_2D_CODING
A mask to be used with the "T4Options" tag.

See Also:
  - `TAG_T4_OPTIONS`
  - Constant Field Values

### T4_OPTIONS_UNCOMPRESSED

public static final int T4_OPTIONS_UNCOMPRESSED
A mask to be used with the "T4Options" tag.

See Also:
  - `TAG_T4_OPTIONS`
  - Constant Field Values

### T4_OPTIONS_EOL_BYTE_ALIGNED

public static final int T4_OPTIONS_EOL_BYTE_ALIGNED
A mask to be used with the "T4Options" tag.

See Also:
  - `TAG_T4_OPTIONS`
  - Constant Field Values

### TAG_T6_OPTIONS

public static final int TAG_T6_OPTIONS
Constant specifying the "T6Options" tag.

See Also:
  - `T6_OPTIONS_UNCOMPRESSED`
  - Constant Field Values

### T6_OPTIONS_UNCOMPRESSED

public static final int T6_OPTIONS_UNCOMPRESSED
A mask to be used with the "T6Options" tag.

See Also:
  - `TAG_T6_OPTIONS`
  - Constant Field Values

### TAG_RESOLUTION_UNIT

public static final int TAG_RESOLUTION_UNIT
Constant specifying the "ResolutionUnit" tag.

See Also:
  - `RESOLUTION_UNIT_NONE`
  - `RESOLUTION_UNIT_INCH`
  - `RESOLUTION_UNIT_CENTIMETER`
  - Constant Field Values

### RESOLUTION_UNIT_NONE

public static final int RESOLUTION_UNIT_NONE
A value to be used with the "ResolutionUnit" tag.

See Also:
  - `TAG_RESOLUTION_UNIT`
  - Constant Field Values

### RESOLUTION_UNIT_INCH

public static final int RESOLUTION_UNIT_INCH
A value to be used with the "ResolutionUnit" tag.

See Also:
  - `TAG_RESOLUTION_UNIT`
  - Constant Field Values

### RESOLUTION_UNIT_CENTIMETER

public static final int RESOLUTION_UNIT_CENTIMETER
A value to be used with the "ResolutionUnit" tag.

See Also:
  - `TAG_RESOLUTION_UNIT`
  - Constant Field Values

### TAG_PAGE_NUMBER

public static final int TAG_PAGE_NUMBER
Constant specifying the "PageNumber" tag.

See Also:
  - Constant Field Values

### TAG_TRANSFER_FUNCTION

public static final int TAG_TRANSFER_FUNCTION
Constant specifying the "TransferFunction" tag.

See Also:
  - Constant Field Values

### TAG_SOFTWARE

public static final int TAG_SOFTWARE
Constant specifying the "Software" tag.

See Also:
  - Constant Field Values

### TAG_DATE_TIME

public static final int TAG_DATE_TIME
Constant specifying the "DateTime" tag.

See Also:
  - Constant Field Values

### TAG_ARTIST

public static final int TAG_ARTIST
Constant specifying the "Artist" tag.

See Also:
  - Constant Field Values

### TAG_HOST_COMPUTER

public static final int TAG_HOST_COMPUTER
Constant specifying the "HostComputer" tag.

See Also:
  - Constant Field Values

### TAG_PREDICTOR

public static final int TAG_PREDICTOR
Constant specifying the "Predictor" tag.

See Also:
  - `TAG_WHITE_POINT`
  - `TAG_PRIMARY_CHROMATICITES`
  - `TAG_COLOR_MAP`
  - `TAG_HALFTONE_HINTS`
  - `TAG_TILE_WIDTH`
  - `TAG_TILE_LENGTH`
  - `TAG_TILE_OFFSETS`
  - `TAG_TILE_BYTE_COUNTS`
  - Constant Field Values

### PREDICTOR_NONE

public static final int PREDICTOR_NONE
A value to be used with the "Predictor" tag.

See Also:
  - `TAG_PREDICTOR`
  - Constant Field Values

### PREDICTOR_HORIZONTAL_DIFFERENCING

public static final int PREDICTOR_HORIZONTAL_DIFFERENCING
A value to be used with the "Predictor" tag.

See Also:
  - `TAG_PREDICTOR`
  - Constant Field Values

### TAG_WHITE_POINT

public static final int TAG_WHITE_POINT
Constant specifying the "WhitePoint" tag.

See Also:
  - Constant Field Values

### TAG_PRIMARY_CHROMATICITES

public static final int TAG_PRIMARY_CHROMATICITES
Constant specifying the "PrimaryChromaticites" tag.

See Also:
  - Constant Field Values

### TAG_COLOR_MAP

public static final int TAG_COLOR_MAP
Constant specifying the "ColorMap" tag.

See Also:
  - Constant Field Values

### TAG_HALFTONE_HINTS

public static final int TAG_HALFTONE_HINTS
Constant specifying the "HalftoneHints" tag.

See Also:
  - Constant Field Values

### TAG_TILE_WIDTH

public static final int TAG_TILE_WIDTH
Constant specifying the "TileWidth" tag.

See Also:
  - Constant Field Values

### TAG_TILE_LENGTH

public static final int TAG_TILE_LENGTH
Constant specifying the "TileLength" tag.

See Also:
  - Constant Field Values

### TAG_TILE_OFFSETS

public static final int TAG_TILE_OFFSETS
Constant specifying the "TileOffsets" tag.

See Also:
  - Constant Field Values

### TAG_TILE_BYTE_COUNTS

public static final int TAG_TILE_BYTE_COUNTS
Constant specifying the "TileByteCounts" tag.

See Also:
  - Constant Field Values

### TAG_INK_SET

public static final int TAG_INK_SET
Constant specifying the "InkSet" tag.

See Also:
  - `INK_SET_CMYK`
  - `INK_SET_NOT_CMYK`
  - Constant Field Values

### INK_SET_CMYK

public static final int INK_SET_CMYK
A value to be used with the "InkSet" tag.

See Also:
  - `TAG_INK_SET`
  - Constant Field Values

### INK_SET_NOT_CMYK

public static final int INK_SET_NOT_CMYK
A value to be used with the "InkSet" tag.

See Also:
  - `TAG_INK_SET`
  - Constant Field Values

### TAG_INK_NAMES

public static final int TAG_INK_NAMES
Constant specifying the "InkNames" tag.

See Also:
  - Constant Field Values

### TAG_NUMBER_OF_INKS

public static final int TAG_NUMBER_OF_INKS
Constant specifying the "NumberOfInks" tag.

See Also:
  - Constant Field Values

### TAG_DOT_RANGE

public static final int TAG_DOT_RANGE
Constant specifying the "DotRange" tag.

See Also:
  - Constant Field Values

### TAG_TARGET_PRINTER

public static final int TAG_TARGET_PRINTER
Constant specifying the "TargetPrinter" tag.

See Also:
  - Constant Field Values

### TAG_EXTRA_SAMPLES

public static final int TAG_EXTRA_SAMPLES
Constant specifying the "ExtraSamples" tag.

See Also:
  - `EXTRA_SAMPLES_UNSPECIFIED`
  - `EXTRA_SAMPLES_ASSOCIATED_ALPHA`
  - `EXTRA_SAMPLES_UNASSOCIATED_ALPHA`
  - Constant Field Values

### EXTRA_SAMPLES_UNSPECIFIED

public static final int EXTRA_SAMPLES_UNSPECIFIED
A value to be used with the "ExtraSamples" tag.

See Also:
  - `TAG_EXTRA_SAMPLES`
  - Constant Field Values

### EXTRA_SAMPLES_ASSOCIATED_ALPHA

public static final int EXTRA_SAMPLES_ASSOCIATED_ALPHA
A value to be used with the "ExtraSamples" tag.

See Also:
  - `TAG_EXTRA_SAMPLES`
  - Constant Field Values

### EXTRA_SAMPLES_UNASSOCIATED_ALPHA

public static final int EXTRA_SAMPLES_UNASSOCIATED_ALPHA
A value to be used with the "ExtraSamples" tag.

See Also:
  - `TAG_EXTRA_SAMPLES`
  - Constant Field Values

### TAG_SAMPLE_FORMAT

public static final int TAG_SAMPLE_FORMAT
Constant specifying the "SampleFormat" tag.

See Also:
  - `SAMPLE_FORMAT_UNSIGNED_INTEGER`
  - `SAMPLE_FORMAT_SIGNED_INTEGER`
  - `SAMPLE_FORMAT_FLOATING_POINT`
  - `SAMPLE_FORMAT_UNDEFINED`
  - Constant Field Values

### SAMPLE_FORMAT_UNSIGNED_INTEGER

public static final int SAMPLE_FORMAT_UNSIGNED_INTEGER
A value to be used with the "SampleFormat" tag.

See Also:
  - `TAG_SAMPLE_FORMAT`
  - Constant Field Values

### SAMPLE_FORMAT_SIGNED_INTEGER

public static final int SAMPLE_FORMAT_SIGNED_INTEGER
A value to be used with the "SampleFormat" tag.

See Also:
  - `TAG_SAMPLE_FORMAT`
  - Constant Field Values

### SAMPLE_FORMAT_FLOATING_POINT

public static final int SAMPLE_FORMAT_FLOATING_POINT
A value to be used with the "SampleFormat" tag.

See Also:
  - `TAG_SAMPLE_FORMAT`
  - Constant Field Values

### SAMPLE_FORMAT_UNDEFINED

public static final int SAMPLE_FORMAT_UNDEFINED
A value to be used with the "SampleFormat" tag.

See Also:
  - `TAG_SAMPLE_FORMAT`
  - Constant Field Values

### TAG_S_MIN_SAMPLE_VALUE

public static final int TAG_S_MIN_SAMPLE_VALUE
Constant specifying the "SMinSampleValue" tag.

See Also:
  - Constant Field Values

### TAG_S_MAX_SAMPLE_VALUE

public static final int TAG_S_MAX_SAMPLE_VALUE
Constant specifying the "SMaxSampleValue" tag.

See Also:
  - Constant Field Values

### TAG_TRANSFER_RANGE

public static final int TAG_TRANSFER_RANGE
Constant specifying the "TransferRange" tag.

See Also:
  - Constant Field Values

### TAG_JPEG_TABLES

public static final int TAG_JPEG_TABLES
Constant specifying the "JPEGTables" tag for "New style" JPEG-in-TIFF compression.

See Also:
  - Constant Field Values

### TAG_JPEG_PROC

public static final int TAG_JPEG_PROC
Constant specifying the "JPEGProc" tag.

See Also:
  - Constant Field Values

### JPEG_PROC_BASELINE

public static final int JPEG_PROC_BASELINE
A value to be used with the "JPEGProc" tag.

See Also:
  - `TAG_JPEG_PROC`
  - Constant Field Values

### JPEG_PROC_LOSSLESS

public static final int JPEG_PROC_LOSSLESS
A value to be used with the "JPEGProc" tag.

See Also:
  - `TAG_JPEG_PROC`
  - Constant Field Values

### TAG_JPEG_INTERCHANGE_FORMAT

public static final int TAG_JPEG_INTERCHANGE_FORMAT
Constant specifying the "JPEGInterchangeFormat" tag.

See Also:
  - Constant Field Values

### TAG_JPEG_INTERCHANGE_FORMAT_LENGTH

public static final int TAG_JPEG_INTERCHANGE_FORMAT_LENGTH
Constant specifying the "JPEGInterchangeFormatLength" tag.

See Also:
  - Constant Field Values

### TAG_JPEG_RESTART_INTERVAL

public static final int TAG_JPEG_RESTART_INTERVAL
Constant specifying the "JPEGRestartInterval" tag.

See Also:
  - Constant Field Values

### TAG_JPEG_LOSSLESS_PREDICTORS

public static final int TAG_JPEG_LOSSLESS_PREDICTORS
Constant specifying the "JPEGLosslessPredictors" tag.

See Also:
  - Constant Field Values

### TAG_JPEG_POINT_TRANSFORMS

public static final int TAG_JPEG_POINT_TRANSFORMS
Constant specifying the "JPEGPointTransforms" tag.

See Also:
  - Constant Field Values

### TAG_JPEG_Q_TABLES

public static final int TAG_JPEG_Q_TABLES
Constant specifying the "JPEGQTables" tag.

See Also:
  - Constant Field Values

### TAG_JPEG_DC_TABLES

public static final int TAG_JPEG_DC_TABLES
Constant specifying the "JPEGDCTables" tag.

See Also:
  - Constant Field Values

### TAG_JPEG_AC_TABLES

public static final int TAG_JPEG_AC_TABLES
Constant specifying the "JPEGACTables" tag.

See Also:
  - Constant Field Values

### TAG_Y_CB_CR_COEFFICIENTS

public static final int TAG_Y_CB_CR_COEFFICIENTS
Constant specifying the "YCbCrCoefficients" tag.

See Also:
  - Constant Field Values

### TAG_Y_CB_CR_SUBSAMPLING

public static final int TAG_Y_CB_CR_SUBSAMPLING
Constant specifying the "YCbCrSubsampling" tag.

See Also:
  - Constant Field Values

### TAG_Y_CB_CR_POSITIONING

public static final int TAG_Y_CB_CR_POSITIONING
Constant specifying the "YCbCrPositioning" tag.

See Also:
  - `Y_CB_CR_POSITIONING_CENTERED`
  - `Y_CB_CR_POSITIONING_COSITED`
  - Constant Field Values

### Y_CB_CR_POSITIONING_CENTERED

public static final int Y_CB_CR_POSITIONING_CENTERED
A value to be used with the "YCbCrPositioning" tag.

See Also:
  - `TAG_Y_CB_CR_POSITIONING`
  - Constant Field Values

### Y_CB_CR_POSITIONING_COSITED

public static final int Y_CB_CR_POSITIONING_COSITED
A value to be used with the "YCbCrPositioning" tag.

See Also:
  - `TAG_Y_CB_CR_POSITIONING`
  - Constant Field Values

### TAG_REFERENCE_BLACK_WHITE

public static final int TAG_REFERENCE_BLACK_WHITE
Constant specifying the "ReferenceBlackWhite" tag.

See Also:
  - Constant Field Values

### TAG_COPYRIGHT

public static final int TAG_COPYRIGHT
Constant specifying the "Copyright" tag.

See Also:
  - Constant Field Values

### TAG_ICC_PROFILE

public static final int TAG_ICC_PROFILE
Constant specifying the "ICC Profile" tag.

See Also:
  - ICC Specification, section B.4: Embedding ICC profiles in TIFF files
  - Constant Field Values

## Method Details

### getInstance

public static BaselineTIFFTagSet getInstance()
Returns a shared instance of a `BaselineTIFFTagSet`.

Returns:
  a `BaselineTIFFTagSet` instance.